Service
All operations require authentication.
Change the contacts of an xDSL accessProduction
Starts a procedure to change the admin, tech or billing contact of the access. Returns the IDs of the contact change tasks.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Enable or disable email sending on an xDSL accessProduction
Allows or blocks outgoing email (SMTP) from the access. Returns the task that performs the change.
Path parameters
Service name
Request body (required)
Status allowed for mail sending
disabledenabledResponse
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ mailSending \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
List the monitoring notifications of an xDSL accessProduction
Returns the IDs of the email and SMS alerts set on the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ monitoringNotifications \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a monitoring notification on an xDSL accessProduction
Adds an email or SMS alert sent when the access is down longer than the threshold, at a frequency of once, 5 minutes, 1 hour or 6 hours. An SMS alert is debited from the given SMS account.
Path parameters
Service name
Request body (required)
Whether or not to allow notifications concerning generic incidents
The number of seconds the access has to be down to trigger the alert
The e-mail address, if type is mail
Frequency between notifications.
1h5m6honceThe phone number, if type is sms
The SMS account which will be debited for each sent SMS, if the type is sms
Type of notification.
mailsmsResponse
Whether or not to allow notifications for generic incidents
The number of seconds the access has to be down to trigger an alert
The e-mail address, if type is mail
Whether to enable or not
Frequency between notifications.
1h5m6honceThe phone number, if type is sms
The SMS account which will be debited for each sent SMS, if the type is sms
Type of notification.
mailsmsExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ monitoringNotifications \
-H "authorization: Bearer $OVH_TOKEN"{ "allowIncident": true, "downThreshold": 0, "email": "string", "enabled": true, "frequency": "1h", "id": 0, "phone": "string", "smsAccount": "string", "type": "mail"}
Get a monitoring notification of an xDSL accessProduction
Returns the type, recipient, down threshold, frequency and status of an alert, and whether it includes generic incidents.
Path parameters
Id
Service name
Response
Whether or not to allow notifications for generic incidents
The number of seconds the access has to be down to trigger an alert
The e-mail address, if type is mail
Whether to enable or not
Frequency between notifications.
1h5m6honceThe phone number, if type is sms
The SMS account which will be debited for each sent SMS, if the type is sms
Type of notification.
mailsmsExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ monitoringNotifications/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowIncident": true, "downThreshold": 0, "email": "string", "enabled": true, "frequency": "1h", "id": 0, "phone": "string", "smsAccount": "string", "type": "mail"}
Update a monitoring notification of an xDSL accessProduction
Enables or disables an alert, or changes its down threshold, frequency, email, phone number or generic incident setting.
Path parameters
Id
Service name
Request body (required)
Whether or not to allow notifications for generic incidents
The number of seconds the access has to be down to trigger an alert
The e-mail address, if type is mail
Whether to enable or not
Frequency between notifications.
1h5m6honceThe phone number, if type is sms
The SMS account which will be debited for each sent SMS, if the type is sms
Type of notification.
mailsmsResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ monitoringNotifications/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a monitoring notification of an xDSL accessProduction
Deletes the alert. No notification is sent for it anymore.
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ monitoringNotifications/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get the pending action of an xDSL accessProduction
Returns the action scheduled on the access, if any, and the date it will be performed.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ pendingAction \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "dateTodo": "2024-01-01T12:00:00Z"}
Send the PPP login informationProduction
Renews the PPP password of the access and sends the PPP login information to the email address of the admin contact.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ requestPPPLoginMail \
-H "authorization: Bearer $OVH_TOKEN"Get service informationProduction
Returns the service status, creation and expiration dates, renewal settings, engagement and contacts of the access.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Changes the renewal settings of the access: automatic renewal, renewal period and deletion at expiration.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"List the tasks of an xDSL accessProduction
Returns the IDs of the tasks scheduled on the access. Filter by function or status, and include archived tasks; 20 results by default, 50 at most.
Path parameters
Service name
Query parameters
Filter the value of function property (=)
Include archived tasks
Limit query result, default 20, max 50
Filter the value of status property (=)
cancelleddoingdoneerrorproblemtodoResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a task of an xDSL accessProduction
Returns the function, status, archive flag and the planned, completion and last update dates of a task.
Path parameters
Id
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ tasks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
Archive a task in problem stateProduction
Removes the task in problem state from the task results. Archived tasks are listed again with includeArchived.
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ tasks/ {id}/ archive \
-H "authorization: Bearer $OVH_TOKEN"